# WOK
TKWOK
WOKUnix

# WOKUnix_ShellStatus Class Reference

`#include <WOKUnix_ShellStatus.hxx>`

Inheritance diagram for WOKUnix_ShellStatus:

[legend]

## Public Member Functions

Standard_EXPORT WOKUnix_FDescr & | StatusFile ()
Standard_EXPORT Standard_Integer | No () const
Standard_EXPORT Handle_TCollection_HAsciiString | Name () const
Standard_EXPORT Standard_Integer | Status () const
virtual Standard_EXPORT void | EndCmd (const Handle(WOKUnix_Shell)&ashell)=0
virtual Standard_EXPORT void | Sync (const Handle(WOKUnix_Shell)&ashell)=0
virtual Standard_EXPORT void | Reset (const Handle(WOKUnix_Shell)&ashell)=0
virtual Standard_EXPORT Standard_Integer | Get ()
virtual Standard_EXPORT Standard_Integer | GetRemote ()
virtual Standard_EXPORT void | Destroy ()
| ~WOKUnix_ShellStatus ()
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Member Functions

Standard_EXPORT | WOKUnix_ShellStatus ()
Standard_EXPORT | WOKUnix_ShellStatus (const TCollection_AsciiString &apath)

## Protected Attributes

Standard_Integer | mystatus

## Private Attributes

WOKUnix_FDescr | myfile
WOKUnix_FDescr | myfileend

## Constructor & Destructor Documentation

WOKUnix_ShellStatus::~WOKUnix_ShellStatus | ( |  | ) | `[inline]`

Standard_EXPORT WOKUnix_ShellStatus::WOKUnix_ShellStatus | ( |  | ) | `[protected]`

Standard_EXPORT WOKUnix_ShellStatus::WOKUnix_ShellStatus | ( | const TCollection_AsciiString & | apath | ) | `[protected]`

## Member Function Documentation

virtual Standard_EXPORT void WOKUnix_ShellStatus::Destroy | ( |  | ) | `[virtual]`

virtual Standard_EXPORT void WOKUnix_ShellStatus::EndCmd | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[pure virtual]`

| Implemented in WOKUnix_ASyncStatus, WOKUnix_DumpScript, and WOKUnix_SyncStatus.

virtual Standard_EXPORT Standard_Integer WOKUnix_ShellStatus::Get | ( |  | ) | `[virtual]`

| Reimplemented in WOKUnix_DumpScript.

virtual Standard_EXPORT Standard_Integer WOKUnix_ShellStatus::GetRemote | ( |  | ) | `[virtual]`

Standard_EXPORT const WOKUnix_ShellStatus::Handle | ( | Standard_Type |  | ) | const

| Reimplemented in WOKUnix_ASyncStatus, WOKUnix_DumpScript, and WOKUnix_SyncStatus.

Standard_EXPORT Handle_TCollection_HAsciiString WOKUnix_ShellStatus::Name | ( |  | ) | const

Standard_EXPORT Standard_Integer WOKUnix_ShellStatus::No | ( |  | ) | const

virtual Standard_EXPORT void WOKUnix_ShellStatus::Reset | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[pure virtual]`

| Implemented in WOKUnix_ASyncStatus, WOKUnix_DumpScript, and WOKUnix_SyncStatus.

Standard_EXPORT Standard_Integer WOKUnix_ShellStatus::Status | ( |  | ) | const

Standard_EXPORT WOKUnix_FDescr& WOKUnix_ShellStatus::StatusFile | ( |  | ) |

virtual Standard_EXPORT void WOKUnix_ShellStatus::Sync | ( | const Handle(WOKUnix_Shell)& | ashell | ) | `[pure virtual]`

| Implemented in WOKUnix_ASyncStatus, WOKUnix_DumpScript, and WOKUnix_SyncStatus.

## Field Documentation

WOKUnix_FDescr WOKUnix_ShellStatus::myfile `[private]`

WOKUnix_FDescr WOKUnix_ShellStatus::myfileend `[private]`

Standard_Integer WOKUnix_ShellStatus::mystatus `[protected]`

The documentation for this class was generated from the following file:

- WOKUnix_ShellStatus.hxx